Download it now!
Bug 75970 - EDITING: Crash when using search and replace
Summary: EDITING: Crash when using search and replace
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.2.1 release
Hardware: Other Windows (All)
: medium normal
Assignee: Kohei Yoshida
URL:
Whiteboard: BSA target:4.3.0 target:4.2.4
Keywords: possibleRegression, regression
Depends on:
Blocks:
 
Reported: 2014-03-10 08:52 UTC by dany franck
Modified: 2015-12-15 22:10 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Test file for find and replace bug (28.50 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-03-27 20:37 UTC, Alan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description dany franck 2014-03-10 08:52:27 UTC
Problem description:
In certain conditions using search and replace is crashing LO 

Steps to reproduce:
1. Loading during system start-up must be used
2. create a document containing text like 'essai 
3. store the document
4. search ' and replace it with nothing
5. click replace all => All goes fine
6. Close the document without saving
7. reopen the document
8. go to search and replace
9. the search string is pre-filled with the previous text, do not change it
10. click replace all => crash

Tested on different windows versions.
Only when "Loading during system start-up" is used

              
Operating System: Windows 8
Version: 4.2.2.1 rc
Last worked in: 4.1.5.3 release
Comment 1 Jacques Guilleron 2014-03-10 10:22:38 UTC
Hello dany frank,

I reproduce with LO 4.2.2.1 and Windows 7 Home Premium. Quick Starter must be used to open Calc.

Set status to New.

Kind regards,

Jacques
Comment 2 Alan 2014-03-27 20:31:43 UTC
The bug is reproducible in LO 4.2.3.1 prerelease.

The bug can be reproduced with the attached file.

1. Search for "ISERR(A$2" and replace with "ISERROR(A$2" and replace all.
2. Close without saving and return to the start screen.
3.Reopen
Comment 3 Alan 2014-03-27 20:37:12 UTC
Created attachment 96485 [details]
Test file for find and replace bug

The bug can be reproduced with the attached file.

1. Search for "ISERR(A$2" and replace with "ISERROR(A$2" and replace all.
2. Close without saving and return to the start screen.
3. Reopen file
4. Searching and replacing all as before will cause the crash.

The bug is reproducible in LO 4.2.2.1 and LO 4.2.3.1 prerelease.

Windows 7x64 Professional
Comment 4 Kohei Yoshida 2014-04-11 16:30:41 UTC
I'm on this.
Comment 5 Commit Notification 2014-04-11 16:33:49 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0ffe4358c755504bc2754ef88edadde33b5f395a

fdo#75970: Let's do it in a straightforward fashion.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Kohei Yoshida 2014-04-11 16:34:26 UTC
4.2 backport: https://gerrit.libreoffice.org/8939
Comment 7 Commit Notification 2014-04-13 08:32:44 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=db9a3bf0d7d14d945b9a371b485ecadba81a5919&h=libreoffice-4-2

fdo#75970: Let's do it in a straightforward fashion.


It will be available in LibreOffice 4.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Robinson Tryon (qubit) 2015-12-15 22:10:33 UTC
Migrating Whiteboard tags to Keywords: (PossibleRegression)
[NinjaEdit]